subroutine nbi_bsource_finish(nbs_finish)
  ! deals with beam fast ion birth source files

  use nbi_mpi_com
  implicit none
  integer, intent(in) :: nbs_finish
  integer :: mpierr
  
  if(nbs_finish.ne.1) return

  call nbi_avg_bsource

  return

end subroutine nbi_bsource_finish
